Description

History

#1 - Jun 24, 2016 02:44 PM - Massimiliano Assante

- Tracker changed from Upgrade to Task

#2 - Jun 24, 2016 02:50 PM - Massimiliano Assante

and the API Keys should be added in the portal settings control panel

#3 - Jul 25, 2016 06:47 PM - Massimiliano Assante

- Status changed from New to In Progress

#4 - Jul 25, 2016 07:20 PM - Massimiliano Assante

- Status changed from In Progress to Feedback

- % Done changed from 0 to 90

Microsoft login hook has to bi disable as it seems that Microsoft does not allow multiple platforms for application (https://apps.dev.microsoft.com/)

the microsoft page reports 

Enter a URL that contains the root domain.

 it expects that redirect URLs start all with the same root domain :( @mnikolopoulos@cite.gr ) guess there is no solution about this?

#5 - Jul 26, 2016 10:07 AM - Michalis Nikolopoulos

Hi @massimiliano.assante@isti.cnr.it, what about leaving the redirect uri empty, the hook specifies the redirect uri on its own. Correct me if i did not

understand the issue correctly.

#6 - Jul 26, 2016 10:16 AM - Massimiliano Assante

If i understand correctly you are saying there is no need to specify the redirect uri in (https://apps.dev.microsoft.com/) for the D4Science Infrastructure

App (the one that provides the key and the secret). Is this correct?

#7 - Aug 31, 2016 10:26 AM - Massimiliano Assante

- Parent task deleted (#4327)

@mnikolopoulos@cite.gr any update on this? 

#8 - Aug 31, 2016 11:20 AM - Michalis Nikolopoulos

@massimiliano.assante@isti.cnr.it as far as i know OAUTH2 requires, that the redirect_uri specified in the initial configuration of the provider(in this

case windows live) should be the same as the redirect_uri in the url specified when a user attempts to login, so i think what we are looking at is an

application for each platform.

#9 - Sep 12, 2016 03:25 PM - Massimiliano Assante

- Status changed from Feedback to Closed
- % Done changed from 90 to 100

so i think what we are looking at is an application for each platform.

 which is not what we need, as a consequence we cannot enable Windows Live login
